Description: Bonjour,

Je viens de me lancer dans l'univers Ubuntu (version 14.04) afin d'utiliser AMC.
Comme je ne voulais pas me lancer dans des lignes de commande avant les vacances, j'ai opté pour une
installation d'’AMC via la logitheque.

Lorsque je tente de le lancer, voici le message que j'obtiens :

Le paquet "Auto-multiple-choice" est installé mais auto-multiple-choice". AMC ne fonctionnera pas
convenablement tant que vous n'installerez pas le paquet auto-multiple-choice package !

0 Quelqu'un pourrait éclairer ma lanterne ?

Merci d'avancel .

History

05/23/2014 09:18 am - Alexis Bienveniie

Vous pouvez lire la page [[Ubuntu software center]] sur ce sujet.

05/23/2014 09:44 am - Jean Valjean
Merci beaucoup pour cette information. Je vais tenter l'installation en ligne de commande a mon retour @ mon domicile (je viens de la tenter sans

succes sur un ordinateur de ma salle de classe), voici ce que j'obtiens :

Lecture des listes de paquets... Fait
Construction de I'arbre des dépendances
Lecture des informations d'état... Fait

E: Impossible de trouver le paquet auto-multiple
E: Impossible de trouver le paquet choice

Encore merci a vous

05/23/2014 09:46 am - Alexis Bienveniie
- Category deleted (AMC-TXT)

Vous avez dl insérer un espace entre @auto-multiple-@ et @choice@ dans votre commande : il faut le supprimer.

05/23/2014 09:51 am - Jean Valjean
Pardon, je vous ai copié ma premiére tentative (ou j'avais effectivement fait cette erreur), mais ensuite, j'ai retapé correctement la commande et voici ce

que j'obtiens :

house@princenton:~$ sudo apt-get install auto-multiple-choice
Lecture des listes de paquets... Fait

Construction de I'arbre des dépendances

Lecture des informations d'état... Fait

E: Impossible de trouver le paquet auto-multiple-choice

J'aurais tendance a incriminer le pare-feu de I'établissement ...
05/23/2014 09:55 am - Alexis Bienvenie

> J'aurais tendance a incriminer le pare-feu de I'établissement ...
Je ne pense pas.

Quelle version d'Ubuntu utilisez-vous ?

05/23/2014 10:02 am - Jean Valjean
La versions 14.04

05/23/2014 10:03 am - Jean Valjean
000ps ... La version 14.04 (sans s..)

05/23/2014 10:06 am - Alexis Bienveniie
C'est bizarre : le paquet existe bien : http:/packages.ubuntu.com/trusty/auto-multiple-choice

Pouvez-vous essayer avec un @sudo apt-get update@ avant, des fois que ¢a change quelque-chose ?

05/23/2014 10:36 am - Jean Valjean
Bonjour,la mise a jour ne se fait pas...
Voici ce que j'obtiens :

house@princenton:~$ sudo apt-get update

[sudo] password for house:

E: Impossible d'obtenir le verrou /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
E: Impossible de verrouiller le répertoire /var/lib/apt/lists/

D'autre part, lorsque je clique sur le lien, j'obtiens une page d'erreur Ubuntu (No such package).

Merci pour votre réactivité !

05/23/2014 10:37 am - Jean Valjean
Si...je retire ce que j'ai dit, le package est décrit (le lien incluait les mots "pouvez-vous"..

05/23/2014 10:41 am - Alexis Bienveniie
> E: Impossible d'obtenir le verrou

Sans doute la logitheque Ubuntu est également ouverte, ou un autre processus fait une mise a jour par ailleurs.

05/23/2014 11:02 am - Jean Valjean
J'ai éteint puis redémarré I'ordinateur (dans I'espoir que tout processus de mise a jour serait annulé ?) et j'ai retenté I'update...avec le méme retour
malheureusement.

Je vais pouvoir essayer sur mon PC d'ici une grosse demi-heure (je commencerai par la mise a jour puis je tenterai l'install)

05/23/2014 12:05 pm - Jean Valjean
C'est chose faite a mon domicile. Cette fois, je n'ai plus la boite de dialogue indiquant gu'il manque quelque chose mais l'interface du logiciel garde une

apparence grisée (et rien ne peut étre activé)
05/23/2014 12:21 pm - Alexis Bienveniie
Si vous avez installé Ubuntu avec le gestionnaire de fenétres Unity, le menu de I'application est tout en haut a gauche de I'écran (il n'est pas attaché a

la fenétre d'/AMC).

05/23/2014 12:52 pm - Jean Valjean
Oui,

07/11/2025 2/4



C'est bien le cas ! Je suis donc désormais opérationnel. Il ne me reste plus qu'a me familiariser avec Latex (ga en fait des révolutions dans mes
habitudes ...) et je pourrai créer mes premiers QCM mathématiques.

Un gros merci a vous !

05/26/2014 09:10 pm - Jean Valjean

Bonjour,

En tentant de créer un nouveau projet (je cherchais a démarrer a partir d'un modele), j'ai cliqué sur "suivant" mais j'arrive sur un souci. La fenétre de
choix de modéle me propose les 4 langue pour la documentation mais le bouton "Appliquer " est inactif et je ne peux qu'annuler...Est- ce qu'il me

mangquerait les modéles a cause de mon installation ?

05/26/2014 09:16 pm - Alexis Bienveniie
- File modele.png added

Avez-vous ouvert les choix attachés a une langue, et sélectionné I'un d'entre eux ?

Imodele.png!

05/26/2014 09:36 pm - Jean Valjean

Arrrg, je suis désolé ! Je cliquais comme un demeuré sur le texte mais je ne savais pas que les triangles offraient un menu déroulant (oui j'ai un peu
honte...).

Bon, tant que j'y suis (désormais, je ne peux plus avoir honte de rien :-), j'ai utilisé le squelette du modéle simple (celui commengant par la question
"prez". J'ai utilisé les mémes packages (j'y ai seulement ajouté "amsmath"). Mon premier questionnaire est né...mais seul I'ordre des réponses est
aléatoire a l'intérieur de chaque question (c'est a dire que I'ordre des questions est en revanche le méme sur chaque copie. Qu'est-ce que j'ai raté au
passage ?

Encore merci....

05/26/2014 10:00 pm - Alexis Bienveniie
> Qu'est-ce que j'ai raté au passage ?

La lecture instructive de la documentation (_Un exemple avec groupes de questions mélangées_) ?

05/26/2014 10:07 pm - Jean Valjean

Si, si je I'ai lue...mais je ne voulais pas un "random" de groupes de question (type géo et histoire comme dans I'exemple). Je voulais que I'ensemble
des question soit généré de fagon aléatoire (et j'ai bien cru que I'on faisait appel @ une commande que si on ne souhaitait pas "la génération aléatoire
par défaut"). Il y a sans doute quelque chose que je n'ai pas bien compris et je vais me repencher dessus.

Bonne soirée...

05/26/2014 10:20 pm - Alexis Bienveniie

Vous pouvez utiliser un seul groupe au lieu de deux dans I'exemple. Si en plus vous ne voulez produire qu'un nombre limité de questions du groupe
(par exemple uniquement 5 choisies au hasard parmi le groupe de 20), vous pouvez ajouter un parametre optionnel comme dans

<pre>

\restituegroupe[5]{histoire}

</pre>
05/28/2014 07:27 am - Jean Valjean
Merci beaucoup ! Je comprends mieux...et je me rends compte (en ajoutant les possibilités de la commande \FPeval) que les possibilités de

différenciation sont encore plus appréciables que ce que j'entrevoyais au début.

05/28/2014 07:33 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed
